=== modified file 'buildmailman.py'
--- buildmailman.py	2009-09-04 10:54:50 +0000
+++ buildmailman.py	2009-09-11 02:17:29 +0000
@@ -41,7 +41,12 @@
     else:
         return 0
 
-    # Clear out the cache so we can try again after building it:
+    # sys.path_importer_cache is a mapping of elements of sys.path to importer
+    # objects used to handle them. In Python2.5+ when an element of sys.path is
+    # found to not exist on disk, a NullImporter is created and cached - this
+    # causes Python to never bother re-inspecting the disk for that path
+    # element. We must clear that cache element so that our second attempt to
+    # import MailMan after building it will actually check the disk.
     del sys.path_importer_cache[mailman_path]
 
     # Make sure the target directories exist and have the correct

